Skip to main content
PUT
/
data-lists
/
update
/
{data_list_id}
Update Data List
curl --request PUT \
  --url https://api.swoogo.com/api/v1/data-lists/update/{data_list_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data 'name=updated name' \
  --data 'notes=my updated notes'
{
  "account_id": 1,
  "id": 7,
  "name": "updated name",
  "notes": "my updated notes"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

data_list_id
integer
required

integer - required - The ID of the list you want to update

Example:

1

Body

application/x-www-form-urlencoded
name
string
Example:

"updated name"

notes
string
Example:

"my updated notes"

Response

Update An Existing Data List

account_id
number
Example:

1

id
number
Example:

7

name
string
Example:

"updated name"

notes
string
Example:

"my updated notes"